// Misc
obs const GF = 1.1664E-5; // Fermi constant GeV^-2 
obs const VEV = 246.0; // Higgs VEV GeV
obs const VEV_red = VEV/sqrt(2.0);
obs const VEV2 = pow(VEV,2); // Higgs VEV^2 GeV^2

obs const M_w = 80.423; // W boson mass - GeV
obs const G_w = 2.085; // W boson width - GeV
obs const M_z = 91.1874; // Z boson mass - GeV
obs const G_z = 2.4952; // Z boson width - GeV
obs const Mz2 = pow(M_z,2), Mw2 = pow(M_w,2);

obs const m_h = 125.09; // Higgs boson mass - GeV
obs const mh2_VEV2 = pow(m_h/VEV,2); // (Higgs boson mass/VEV)^2
obs const mh2 = pow(m_h,2);
obs const xh = mh2/Mw2, yh = mh2/Mz2;

// Couplings
obs const alpha_EW_MZ = 1.0/127.937; // alpha_EW(Mz)=1/127.937
obs const alpha_EW_low = 1.0/137.0; // alpha_EW low energy
obs const sin2theta_w = 0.23116; // Weak mixing angle
obs const cos2theta_w = 1.0-0.23116; // Weak mixing angle

// Quark masses
// Running mt=165.0 GeV, mc=0.68 GeV, mu=0.0016 GeV
obs const m_qu = 0.0016, m_qc = 0.68, m_qt = 165.0;
obs const m_qd = 0.0048, m_qs = 0.067, m_qb = 2.9;
obs const x_qu = pow(m_qu/M_w,2), y_qu = pow(m_qu/M_z,2), xh_qu = pow(2.0*m_qu/m_h,2);
obs const x_qc = pow(m_qc/M_w,2), y_qc = pow(m_qc/M_z,2), xh_qc = pow(2.0*m_qc/m_h,2);
obs const x_qt = pow(m_qt/M_w,2), y_qt = pow(m_qt/M_z,2), xh_qt = pow(2.0*m_qt/m_h,2);
obs const x_qd = pow(m_qd/M_w,2), y_qd = pow(m_qd/M_z,2), xh_qd = pow(2.0*m_qd/m_h,2);
obs const x_qs = pow(m_qs/M_w,2), y_qs = pow(m_qs/M_z,2), xh_qs = pow(2.0*m_qs/m_h,2);
obs const x_qb = pow(m_qb/M_w,2), y_qb = pow(m_qb/M_z,2), xh_qb = pow(2.0*m_qb/m_h,2);
//obs const m_c_pole = 1.275, m_b_pole = 4.18, m_t_pole = 176.7;

// Lepton masses
obs const m_le = 0.00051099891; // Electron mass - GeV
obs const m_lm = 0.1056584; // Muon mass - GeV
obs const m_lt = 1.77682; // Tau mass - GeV
obs const x_le = pow(m_le/M_w,2), y_le = pow(m_le/M_z,2), xh_le = pow(2.0*m_le/m_h,2);
obs const x_lm = pow(m_lm/M_w,2), y_lm = pow(m_lm/M_z,2), xh_lm = pow(2.0*m_lm/m_h,2);
obs const x_lt = pow(m_lt/M_w,2), y_lt = pow(m_lt/M_z,2), xh_lt = pow(2.0*m_lt/m_h,2);


// Neutral meson masses
obs const M_Bd = 5.27945; // Neutral Bd meson mass - GeV
obs const M_Bs = 5.375; // Neutral Bs meson mass - GeV
obs const M_K = 0.498; // Neutral Kaon meson mass - GeV
obs const M_D = 1.865; // Neutral D meson mass - GeV

obs const hconv = 6.582119E-13; // Conversion factor hconv: 1=hconv GeV ps

obs const DMBd_val = 0.510, DMBd_unc = 0.003; // Neutral Bd meson mass difference - ps^-1
obs const DMBs_val = 17.761, DMBs_unc = 0.022; // Neutral Bs meson mass difference - ps^-1

obs const DMK_val = 3.484e-15, DMK_unc = 0.006e-15; // Neutral K meson mass difference - GeV

obs const DMD_val = 0.05, DMD_unc = 0.02; // Bound on Neutral D meson mass difference - ps^-1

obs const ACP_Bd_val = 0.680, ACP_Bd_unc = 0.03; // Neutral Bd meson, CP asymmetry
obs const ACP_Bs_val = -0.04, ACP_Bs_unc = 0.04; // Neutral Bd meson, CP asymmetry
// Meson mixing constant
//obs const MixConstant = GF*GF*M_w*M_w/12/M_PI/M_PI/hconv;

